## qt6-3d 6.9.2+dfsg

=== CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qt3d.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(Qt3D # special case
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt 3D Libraries" # special case
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

# special case begin
find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS
    Network Concurrent Widgets Qml Quick ShaderTools Gamepad OpenGL Multimedia QuickWidgets)
# special case end

qt_internal_project_setup()

if(NOT TARGET Qt::Gui)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::Gui\" is not met.")
    return()
endif()
if(NOT TARGET Qt::Network)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::Network\" is not met.")
    return()
endif()
if(WASM OR NOT QT_FEATURE_opengl)
    message(NOTICE "Skipping the build as the condition \"QT_FEATURE_opengl AND NOT WASM\" is not met.")
    return()
endif()

# special case begin
# TODO: Fix warnings and remove this (can't remove now because of QTBUG-99248)
set(QT_REPO_NOT_WARNINGS_CLEAN TRUE)
# special case end

qt_build_repo()

=== src/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from src.pro.
add_subdirectory(core)
if(QT_FEATURE_qt3d_logic)
    add_subdirectory(logic)
endif()
if(QT_FEATURE_qt3d_input)
    add_subdirectory(input)
endif()
if(QT_FEATURE_qt3d_render)
    add_subdirectory(render)

    if(QT_FEATURE_qt3d_extras)
        add_subdirectory(extras)
    endif()
endif()
if(QT_FEATURE_qt3d_animation)
    add_subdirectory(animation)
endif()

if(TARGET Qt::Quick)
    # Quick3D libs
    if (TARGET Qt::3DRender)
        add_subdirectory(quick3d/quick3d)
        add_subdirectory(quick3d/quick3drender)
        add_subdirectory(quick3d/quick3dscene2d)
        add_subdirectory(quick3d/quick3dscene3d)
    endif()
    if (TARGET Qt::3DExtras)
        add_subdirectory(quick3d/quick3dextras)
    endif()
    if (TARGET Qt::3DInput)
        add_subdirectory(quick3d/quick3dinput)
    endif()
    if (TARGET Qt::3DLogic)
        add_subdirectory(quick3d/quick3dlogic)
    endif()
    if (TARGET Qt::3DAnimation)
        add_subdirectory(quick3d/quick3danimation)
    endif()

    # Quick3D imports
    if (TARGET Qt::3DInput)
        add_subdirectory(quick3d/imports/input)
    endif()
endif()

## Plugins
add_subdirectory(plugins/sceneparsers)
add_subdirectory(plugins/geometryloaders)
add_subdirectory(plugins/renderers)

if(TARGET Qt::Quick)
    add_subdirectory(plugins/renderplugins)
endif()

=== config.tests/assimp/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from assimp.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_assimp LANGUAGES C CXX)

if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
endif()
if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
endif()

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== config.tests/fbx/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from fbx.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_fbx LANGUAGES C CXX)

if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
endif()
if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
endif()

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== src/animation/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from animation.pro.

#####################################################################
## 3DAnimation Module:
#####################################################################

qt_internal_add_module(3DAnimation
    SOURCES
        animationlogging.cpp animationlogging_p.h
        backend/abstractevaluateclipanimatorjob.cpp backend/abstractevaluateclipanimatorjob_p.h
        backend/additiveclipblend.cpp backend/additiveclipblend_p.h
        backend/animationclip.cpp backend/animationclip_p.h
        backend/animationutils.cpp backend/animationutils_p.h
        backend/backendnode.cpp backend/backendnode_p.h
        backend/bezierevaluator.cpp backend/bezierevaluator_p.h
        backend/blendedclipanimator.cpp backend/blendedclipanimator_p.h
        backend/buildblendtreesjob.cpp backend/buildblendtreesjob_p.h
        backend/channelmapper.cpp backend/channelmapper_p.h
        backend/channelmapping.cpp backend/channelmapping_p.h
        backend/clipanimator.cpp backend/clipanimator_p.h
        backend/clipblendnode.cpp backend/clipblendnode_p.h
        backend/clipblendnodevisitor.cpp backend/clipblendnodevisitor_p.h
        backend/clipblendvalue.cpp backend/clipblendvalue_p.h
        backend/clock.cpp backend/clock_p.h
        backend/evaluateblendclipanimatorjob.cpp backend/evaluateblendclipanimatorjob_p.h
        backend/evaluateclipanimatorjob.cpp backend/evaluateclipanimatorjob_p.h
        backend/fcurve.cpp backend/fcurve_p.h
        backend/findrunningclipanimatorsjob.cpp backend/findrunningclipanimatorsjob_p.h
        backend/functionrangefinder.cpp backend/functionrangefinder_p.h
        backend/gltfimporter.cpp backend/gltfimporter_p.h
        backend/handle_types_p.h
        backend/handler.cpp backend/handler_p.h
        backend/keyframe_p.h
        backend/lerpclipblend.cpp backend/lerpclipblend_p.h
        backend/loadanimationclipjob.cpp backend/loadanimationclipjob_p.h
        backend/managers.cpp backend/managers_p.h
        backend/nodefunctor_p.h
        backend/skeleton.cpp backend/skeleton_p.h
        frontend/qabstractanimation.cpp frontend/qabstractanimation.h frontend/qabstractanimation_p.h
        frontend/qabstractanimationclip.cpp frontend/qabstractanimationclip.h frontend/qabstractanimationclip_p.h
        frontend/qabstractchannelmapping.cpp frontend/qabstractchannelmapping.h frontend/qabstractchannelmapping_p.h
        frontend/qabstractclipanimator.cpp frontend/qabstractclipanimator.h frontend/qabstractclipanimator_p.h
        frontend/qabstractclipblendnode.cpp frontend/qabstractclipblendnode.h frontend/qabstractclipblendnode_p.h
        frontend/qadditiveclipblend.cpp frontend/qadditiveclipblend.h frontend/qadditiveclipblend_p.h
        frontend/qanimationaspect.cpp frontend/qanimationaspect.h frontend/qanimationaspect_p.h
        frontend/qanimationcallback.cpp frontend/qanimationcallback.h
        frontend/qanimationclip.cpp frontend/qanimationclip.h frontend/qanimationclip_p.h
        frontend/qanimationclipdata.cpp frontend/qanimationclipdata.h
        frontend/qanimationcliploader.cpp frontend/qanimationcliploader.h frontend/qanimationcliploader_p.h
        frontend/qanimationcontroller.cpp frontend/qanimationcontroller.h frontend/qanimationcontroller_p.h
        frontend/qanimationgroup.cpp frontend/qanimationgroup.h frontend/qanimationgroup_p.h
        frontend/qblendedclipanimator.cpp frontend/qblendedclipanimator.h frontend/qblendedclipanimator_p.h
        frontend/qcallbackmapping.cpp frontend/qcallbackmapping.h frontend/qcallbackmapping_p.h
        frontend/qchannel.cpp frontend/qchannel.h
        frontend/qchannelcomponent.cpp frontend/qchannelcomponent.h
        frontend/qchannelmapper.cpp frontend/qchannelmapper.h frontend/qchannelmapper_p.h
        frontend/qchannelmapping.cpp frontend/qchannelmapping.h frontend/qchannelmapping_p.h
        frontend/qclipanimator.cpp frontend/qclipanimator.h frontend/qclipanimator_p.h
        frontend/qclipblendvalue.cpp frontend/qclipblendvalue.h frontend/qclipblendvalue_p.h
        frontend/qclock.cpp frontend/qclock.h frontend/qclock_p.h
        frontend/qkeyframe.cpp frontend/qkeyframe.h
        frontend/qkeyframeanimation.cpp frontend/qkeyframeanimation.h frontend/qkeyframeanimation_p.h
        frontend/qlerpclipblend.cpp frontend/qlerpclipblend.h frontend/qlerpclipblend_p.h
        frontend/qmorphinganimation.cpp frontend/qmorphinganimation.h frontend/qmorphinganimation_p.h
        frontend/qmorphtarget.cpp frontend/qmorphtarget.h frontend/qmorphtarget_p.h
        frontend/qskeletonmapping.cpp frontend/qskeletonmapping.h frontend/qskeletonmapping_p.h
        frontend/qvertexblendanimation.cpp frontend/qvertexblendanimation.h frontend/qvertexblendanimation_p.h
        job_common_p.h
        qt3danimation_global.h qt3danimation_global_p.h
    DEFINES
        QT3DANIMATION_LIBRARY
    INCLUDE_DIRECTORIES
        backend
        frontend
    LIBRARIES
        Qt::CorePrivate
        Qt::3DCorePrivate
        Qt::3DRenderPrivate
    PUBLIC_LIBRARIES
        Qt::3DCore
        Qt::3DRender
        Qt::Core
        Qt::Gui
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::3DCorePrivate
        Qt::3DRenderPrivate
)

# QTransform conflicts
set_target_properties(3DAnimation PROPERTIES UNITY_BUILD OFF)

#### Keys ignored in scope 1:.:.:animation.pro:<TRUE>:
# MODULE = "3DAnimation"

=== src/logic/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from logic.pro.

#####################################################################
## 3DLogic Module:
#####################################################################

qt_internal_add_module(3DLogic
    SOURCES
        callbackjob.cpp callbackjob_p.h
        executor.cpp executor_p.h
        handle_types_p.h
        handler.cpp handler_p.h
        job_common_p.h
        manager.cpp manager_p.h
        managers_p.h
        qframeaction.cpp qframeaction.h qframeaction_p.h
        qlogicaspect.cpp qlogicaspect.h qlogicaspect_p.h
        qt3dlogic_global.h
    INCLUDE_DIRECTORIES
        ${CMAKE_CURRENT_SOURCE_DIR}
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::3DCorePrivate
    PUBLIC_LIBRARIES
        Qt::3DCore
        Qt::Core
        Qt::Gui
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::3DCorePrivate
)

#### Keys ignored in scope 1:.:.:logic.pro:<TRUE>:
# MODULE = "3DLogic"

## Scopes:
#####################################################################

qt_internal_extend_target(3DLogic CONDITION gcov
    COMPILE_OPTIONS
        -fprofile-arcs
        -ftest-coverage
    LINK_OPTIONS
        "-fprofile-arcs"
        "-ftest-coverage"
)

=== src/render/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from render.pro.

#####################################################################
## 3drender Module:
#####################################################################

qt_internal_add_module(3DRender
    PLUGIN_TYPES sceneparsers geometryloaders renderplugins renderers
    SOURCES
        backend/abstractrenderer_p.h
        backend/apishadermanager_p.h
        backend/attachmentpack.cpp backend/attachmentpack_p.h
        backend/backendnode.cpp backend/backendnode_p.h
        backend/boundingvolumedebug.cpp backend/boundingvolumedebug_p.h
        backend/bufferutils_p.h
        backend/buffervisitor_p.h
        backend/cameralens.cpp backend/cameralens_p.h
        backend/computecommand.cpp backend/computecommand_p.h
        backend/entity.cpp backend/entity_p.h
        backend/entity_p_p.h
        backend/entityaccumulator.cpp backend/entityaccumulator_p.h
        backend/entityvisitor.cpp backend/entityvisitor_p.h
        backend/handle_types_p.h
        backend/layer.cpp backend/layer_p.h
        backend/levelofdetail.cpp backend/levelofdetail_p.h
        backend/managers.cpp backend/managers_p.h
        backend/nodefunctor_p.h
        backend/nodemanagers.cpp backend/nodemanagers_p.h
        backend/offscreensurfacehelper.cpp backend/offscreensurfacehelper_p.h
        backend/parameterpack.cpp backend/parameterpack_p.h
        backend/platformsurfacefilter.cpp backend/platformsurfacefilter_p.h
        backend/pointsvisitor.cpp backend/pointsvisitor_p.h
        backend/rendersettings.cpp backend/rendersettings_p.h
        backend/rendertarget.cpp backend/rendertarget_p.h
        backend/rendertargetoutput.cpp backend/rendertargetoutput_p.h
        backend/resourceaccessor.cpp backend/resourceaccessor_p.h
        backend/segmentsvisitor.cpp backend/segmentsvisitor_p.h
        backend/stringtoint.cpp backend/stringtoint_p.h
        backend/transform.cpp backend/transform_p.h
        backend/triangleboundingvolume.cpp backend/triangleboundingvolume_p.h
        backend/trianglesvisitor.cpp backend/trianglesvisitor_p.h
        backend/uniform.cpp backend/uniform_p.h
        backend/visitorutils_p.h
        framegraph/blitframebuffer.cpp framegraph/blitframebuffer_p.h
        framegraph/buffercapture.cpp framegraph/buffercapture_p.h
        framegraph/cameraselectornode.cpp framegraph/cameraselectornode_p.h
        framegraph/clearbuffers.cpp framegraph/clearbuffers_p.h
        framegraph/debugoverlay.cpp framegraph/debugoverlay_p.h
        framegraph/dispatchcompute.cpp framegraph/dispatchcompute_p.h
        framegraph/framegraphnode.cpp framegraph/framegraphnode_p.h
        framegraph/framegraphvisitor.cpp framegraph/framegraphvisitor_p.h
        framegraph/frustumculling.cpp framegraph/frustumculling_p.h
        framegraph/layerfilternode.cpp framegraph/layerfilternode_p.h
        framegraph/memorybarrier.cpp framegraph/memorybarrier_p.h
        framegraph/nodraw.cpp framegraph/nodraw_p.h
        framegraph/nopicking.cpp framegraph/nopicking_p.h
        framegraph/proximityfilter.cpp framegraph/proximityfilter_p.h
        framegraph/qblitframebuffer.cpp framegraph/qblitframebuffer.h framegraph/qblitframebuffer_p.h
        framegraph/qbuffercapture.cpp framegraph/qbuffercapture.h framegraph/qbuffercapture_p.h
        framegraph/qcameraselector.cpp framegraph/qcameraselector.h framegraph/qcameraselector_p.h
        framegraph/qclearbuffers.cpp framegraph/qclearbuffers.h framegraph/qclearbuffers_p.h
        framegraph/qdebugoverlay.cpp framegraph/qdebugoverlay.h framegraph/qdebugoverlay_p.h
        framegraph/qdispatchcompute.cpp framegraph/qdispatchcompute.h framegraph/qdispatchcompute_p.h
        framegraph/qframegraphnode.cpp framegraph/qframegraphnode.h framegraph/qframegraphnode_p.h
        framegraph/qfrustumculling.cpp framegraph/qfrustumculling.h
        framegraph/qlayerfilter.cpp framegraph/qlayerfilter.h framegraph/qlayerfilter_p.h
        framegraph/qmemorybarrier.cpp framegraph/qmemorybarrier.h framegraph/qmemorybarrier_p.h
        framegraph/qnodraw.cpp framegraph/qnodraw.h
        framegraph/qnopicking.cpp framegraph/qnopicking.h
        framegraph/qproximityfilter.cpp framegraph/qproximityfilter.h framegraph/qproximityfilter_p.h
        framegraph/qrendercapture.cpp framegraph/qrendercapture.h framegraph/qrendercapture_p.h
        framegraph/qrenderpassfilter.cpp framegraph/qrenderpassfilter.h framegraph/qrenderpassfilter_p.h
        framegraph/qrenderstateset.cpp framegraph/qrenderstateset.h framegraph/qrenderstateset_p.h
        framegraph/qrendersurfaceselector.cpp framegraph/qrendersurfaceselector.h framegraph/qrendersurfaceselector_p.h
        framegraph/qrendertargetselector.cpp framegraph/qrendertargetselector.h framegraph/qrendertargetselector_p.h
        framegraph/qsetfence.cpp framegraph/qsetfence.h framegraph/qsetfence_p.h
        framegraph/qsortpolicy.cpp framegraph/qsortpolicy.h framegraph/qsortpolicy_p.h
        framegraph/qsubtreeenabler.cpp framegraph/qsubtreeenabler.h framegraph/qsubtreeenabler_p.h
        framegraph/qtechniquefilter.cpp framegraph/qtechniquefilter.h framegraph/qtechniquefilter_p.h
        framegraph/qviewport.cpp framegraph/qviewport.h framegraph/qviewport_p.h
        framegraph/qwaitfence.cpp framegraph/qwaitfence.h framegraph/qwaitfence_p.h
        framegraph/rendercapture.cpp framegraph/rendercapture_p.h
        framegraph/renderpassfilternode.cpp framegraph/renderpassfilternode_p.h
        framegraph/rendersurfaceselector.cpp framegraph/rendersurfaceselector_p.h
        framegraph/rendertargetselectornode.cpp framegraph/rendertargetselectornode_p.h
        framegraph/setfence.cpp framegraph/setfence_p.h
        framegraph/sortpolicy.cpp framegraph/sortpolicy_p.h
        framegraph/statesetnode.cpp framegraph/statesetnode_p.h
        framegraph/subtreeenabler.cpp framegraph/subtreeenabler_p.h
        framegraph/techniquefilternode.cpp framegraph/techniquefilternode_p.h
        framegraph/viewportnode.cpp framegraph/viewportnode_p.h
        framegraph/waitfence.cpp framegraph/waitfence_p.h
        frontend/qcamera.cpp frontend/qcamera.h frontend/qcamera_p.h
        frontend/qcameralens.cpp frontend/qcameralens.h frontend/qcameralens_p.h
        frontend/qcomputecommand.cpp frontend/qcomputecommand.h frontend/qcomputecommand_p.h
        frontend/qlayer.cpp frontend/qlayer.h frontend/qlayer_p.h
        frontend/qlevelofdetail.cpp frontend/qlevelofdetail.h frontend/qlevelofdetail_p.h
        frontend/qlevelofdetailboundingsphere.cpp frontend/qlevelofdetailboundingsphere.h
        frontend/qlevelofdetailswitch.cpp frontend/qlevelofdetailswitch.h frontend/qlevelofdetailswitch_p.h
        frontend/qpickingsettings.cpp frontend/qpickingsettings.h frontend/qpickingsettings_p.h
        frontend/qrenderapi.h
        frontend/qrenderaspect.cpp frontend/qrenderaspect.h frontend/qrenderaspect_p.h
        frontend/qrendercapabilities.cpp frontend/qrendercapabilities.h frontend/qrendercapabilities_p.h
        frontend/qrenderplugin_p.h
        frontend/qrenderpluginfactory.cpp frontend/qrenderpluginfactory_p.h
        frontend/qrenderpluginfactoryif.cpp frontend/qrenderpluginfactoryif_p.h
        frontend/qrendersettings.cpp frontend/qrendersettings.h frontend/qrendersettings_p.h
        frontend/qrendertarget.cpp frontend/qrendertarget.h frontend/qrendertarget_p.h
        frontend/qrendertargetoutput.cpp frontend/qrendertargetoutput.h frontend/qrendertargetoutput_p.h
        frontend/sphere.cpp frontend/sphere_p.h
        geometry/armature.cpp geometry/armature_p.h
        geometry/attribute.cpp geometry/attribute_p.h
        geometry/buffer.cpp geometry/buffer_p.h
        geometry/buffermanager.cpp geometry/buffermanager_p.h
        geometry/geometry.cpp geometry/geometry_p.h
        geometry/geometryrenderer.cpp geometry/geometryrenderer_p.h
        geometry/geometryrenderermanager.cpp geometry/geometryrenderermanager_p.h
        geometry/gltfskeletonloader.cpp geometry/gltfskeletonloader_p.h
        geometry/joint.cpp geometry/joint_p.h
        geometry/pickingproxy.cpp geometry/pickingproxy_p.h
        geometry/qgeometryrenderer.cpp geometry/qgeometryrenderer.h geometry/qgeometryrenderer_p.h
        geometry/qmesh.cpp geometry/qmesh.h geometry/qmesh_p.h
        geometry/qpickingproxy.cpp geometry/qpickingproxy.h geometry/qpickingproxy_p.h
        geometry/skeleton.cpp geometry/skeleton_p.h
        geometry/skeletondata.cpp geometry/skeletondata_p.h
        io/qaxisalignedboundingbox.cpp io/qaxisalignedboundingbox_p.h
        io/qgeometryloaderfactory.cpp io/qgeometryloaderfactory_p.h
        io/qgeometryloaderinterface_p.h
        io/qsceneexporter.cpp io/qsceneexporter_p.h
        io/qsceneexportfactory.cpp io/qsceneexportfactory_p.h
        io/qsceneexportplugin.cpp io/qsceneexportplugin_p.h
        io/qsceneimporter.cpp io/qsceneimporter_p.h
        io/qsceneimportfactory.cpp io/qsceneimportfactory_p.h
        io/qsceneimportplugin.cpp io/qsceneimportplugin_p.h
        io/qsceneloader.cpp io/qsceneloader.h io/qsceneloader_p.h
        io/scene.cpp io/scene_p.h
        io/scenemanager.cpp io/scenemanager_p.h
        jobs/abstractpickingjob.cpp jobs/abstractpickingjob_p.h
        jobs/calcboundingvolumejob.cpp jobs/calcboundingvolumejob_p.h
        jobs/computefilteredboundingvolumejob.cpp jobs/computefilteredboundingvolumejob_p.h
        jobs/expandboundingvolumejob.cpp jobs/expandboundingvolumejob_p.h
        jobs/filterentitybycomponentjob_p.h
        jobs/filterlayerentityjob.cpp jobs/filterlayerentityjob_p.h
        jobs/filterproximitydistancejob.cpp jobs/filterproximitydistancejob_p.h
        jobs/framecleanupjob.cpp jobs/framecleanupjob_p.h
        jobs/frustumcullingjob.cpp jobs/frustumcullingjob_p.h
        jobs/genericlambdajob_p.h
        jobs/job_common_p.h
        jobs/lightgatherer.cpp jobs/lightgatherer_p.h
        jobs/loadgeometryjob.cpp jobs/loadgeometryjob_p.h
        jobs/loadscenejob.cpp jobs/loadscenejob_p.h
        jobs/loadskeletonjob.cpp jobs/loadskeletonjob_p.h
        jobs/pickboundingvolumejob.cpp jobs/pickboundingvolumejob_p.h
        jobs/pickboundingvolumeutils.cpp jobs/pickboundingvolumeutils_p.h
        jobs/raycastingjob.cpp jobs/raycastingjob_p.h
        jobs/sendbuffercapturejob.cpp jobs/sendbuffercapturejob_p.h
        jobs/updateentitylayersjob.cpp jobs/updateentitylayersjob_p.h
        jobs/updatelevelofdetailjob.cpp jobs/updatelevelofdetailjob_p.h
        jobs/updateshaderdatatransformjob.cpp jobs/updateshaderdatatransformjob_p.h
        jobs/updateskinningpalettejob.cpp jobs/updateskinningpalettejob_p.h
        jobs/updatetreeenabledjob.cpp jobs/updatetreeenabledjob_p.h
        jobs/updateworldboundingvolumejob.cpp jobs/updateworldboundingvolumejob_p.h
        jobs/updateworldtransformjob.cpp jobs/updateworldtransformjob_p.h
        jobs/filtercompatibletechniquejob.cpp jobs/filtercompatibletechniquejob_p.h
        jobs/materialparametergathererjob.cpp jobs/materialparametergathererjob_p.h
        jobs/renderviewjobutils.cpp jobs/renderviewjobutils_p.h
        jobs/uniformblockbuilder.cpp jobs/uniformblockbuilder_p.h
        jobs/renderqueue_p.h
        jobs/renderercache_p.h
        jobs/renderviewcommandbuilderjob_p.h
        jobs/renderviewcommandupdaterjob_p.h
        jobs/renderviewinitializerjob_p.h
        jobs/rendersyncjobs_p.h
        lights/environmentlight.cpp lights/environmentlight_p.h
        lights/light.cpp lights/light_p.h
        lights/lightsource.cpp lights/lightsource_p.h
        lights/qabstractlight.cpp lights/qabstractlight.h lights/qabstractlight_p.h
        lights/qdirectionallight.cpp lights/qdirectionallight.h lights/qdirectionallight_p.h
        lights/qenvironmentlight.cpp lights/qenvironmentlight.h lights/qenvironmentlight_p.h
        lights/qpointlight.cpp lights/qpointlight.h lights/qpointlight_p.h

=== tests/benchmarks/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from benchmarks.pro.

if(NOT QT_FEATURE_qt3d_extras)
    return()
endif()

add_subdirectory(core)
if(QT_FEATURE_qt3d_render)
# Disabled temporarily as some benchmarks fail to build on Mac
#    add_subdirectory(render)
endif()

=== examples/qt3d/multiviewport/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(multiviewport LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 REQUIRED COMPONENTS 3DCore 3DInput 3DQuick 3DQuickExtras 3DRender Core Gui Qml Quick)

qt_add_executable(multiviewport
    main.cpp
)

set_target_properties(multiviewport PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(multiviewport PUBLIC
    Qt::3DCore
    Qt::3DInput
    Qt::3DQuick
    Qt::3DQuickExtras
    Qt::3DRender
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
)

# Resources:
set(multiviewport_resource_files
    "test_scene.dae"
    "Gear_scene.dae"
    "QuadViewportFrameGraph.qml"
    "SimpleCamera.qml"
    "main.qml"
)

qt6_add_resources(multiviewport "multiviewport"
    PREFIX
        "/"
    FILES
        ${multiviewport_resource_files}
)

install(TARGETS multiviewport
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/plugins/geometryloaders/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from geometryloaders.pro.

qt_feature_module_begin(
    NO_MODULE
    PUBLIC_FILE "qtgeometryloaders-config.h"
    PRIVATE_FILE "qtgeometryloaders-config_p.h"
)
include(configure.cmake)
qt_feature_module_end(NO_MODULE)

add_subdirectory(gltf)
if(QT_FEATURE_regularexpression)
    add_subdirectory(default)
endif()
if(QT_FEATURE_qt3d_fbxsdk)
    add_subdirectory(fbx)
endif()

=== src/plugins/renderers/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from renderers.pro.

qt_feature_module_begin(
    NO_MODULE
    PUBLIC_FILE "qtrenderers-config.h"
    PRIVATE_FILE "qtrenderers-config_p.h"
)
include(configure.cmake)
qt_feature_module_end(NO_MODULE)

if(QT_FEATURE_qt3d_opengl_renderer)
    add_subdirectory(opengl)
endif()
if(QT_FEATURE_qt3d_rhi_renderer)
    add_subdirectory(rhi)
endif()

=== src/plugins/sceneparsers/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from sceneparsers.pro.

add_subdirectory(gltf)
if(QT_FEATURE_qt3d_assimp AND NOT QNX
        AND (CLANG OR GCC OR QT_FEATURE_qt3d_system_assimp OR (ANDROID AND CLANG) OR MSVC))
    add_subdirectory(assimp)
endif()
if(QT_FEATURE_regularexpression AND QT_FEATURE_temporaryfile AND TARGET Qt::3DExtras)
    add_subdirectory(gltfexport)
endif()

=== debian/changelog ===
qt6-3d (6.9.2+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sun, 02 Nov 2025 19:37:10 +0100

=== debian/control ===
Source: qt6-3d
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libassimp-dev (>= 5.4.3~),
               libgl-dev,
               libgl1-mesa-dri <!nocheck>,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2+dfsg~),
               qt6-base-private-dev (>= 6.9.2+dfsg~),
               qt6-declarative-dev (>= 6.9.2+dfsg~),
               qt6-declarative-private-dev (>= 6.9.2+dfsg~),
               qt6-multimedia-dev (>= 6.9.2~),
               qt6-shadertools-dev (>= 6.9.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-3d
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-3d.git

Package: libqt63dcore6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Core library.

Package: libqt63dquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Quick library.

Package: libqt63dinput6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Input library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Input library.

Package: libqt63drender6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Renderer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Renderer library.

Package: libqt63dlogic6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Logic library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Logic library.

Package: libqt63dquickextras6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick extras library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Quick extras library.

Package: libqt63dextras6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D extras library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D extras library.

Package: libqt63dquickscene2d6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick Scene 2D library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 2D library.

Package: libqt63dquickscene3d6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick Scene 3D library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 3D library.

Package: libqt63danimation6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Animation library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Animation library.

Package: qt6-3d-gltfsceneio-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D GL Transmission Format Scene IO plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's GLTF geometry loader, and scene import and
 export plugins.

Package: qt6-3d-assimpsceneimport-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D GL Assimp Scene Import plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's Assimp Scene Import plugin.

Package: qt6-3d-defaultgeometryloader-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 3D default geometry loader plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's default geometry loader plugin.

Package: qt6-3d-scene2d-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Scene 2D plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's Scene 2D plugin.

Package: qml6-module-qt3d-core
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Core QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Core QML module.

Package: qml6-module-qt3d-animation
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt63dquickanimation6,
Replaces: libqt63dquickanimation6,
Description: Qt 6 3D Animation QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Animation QML module.

Package: qml6-module-qt3d-extras
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Extras QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Extras QML module.

Package: qml6-module-qt3d-input
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt63dquickinput6,
Replaces: libqt63dquickinput6,
Description: Qt 6 3D Input QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Input QML module.

Package: qml6-module-qt3d-logic
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Logic QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Logic QML module.

Package: qml6-module-qt3d-render
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt63dquickrender6,
Replaces: libqt63dquickrender6,
Description: Qt 6 3D Renderer QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Renderer QML module.

Package: qml6-module-qtquick-scene3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Scene 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 3D QML module.

Package: qml6-module-qtquick-scene2d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Scene 2D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 2D QML module.

Package: qt6-3d-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt63danimation6 (= ${binary:Version}),
         libqt63dcore6 (= ${binary:Version}),
         libqt63dextras6 (= ${binary:Version}),
         libqt63dinput6 (= ${binary:Version}),
         libqt63dlogic6 (= ${binary:Version}),
         libqt63dquick6 (= ${binary:Version}),
         libqt63dquickextras6 (= ${binary:Version}),
         libqt63dquickscene2d6 (= ${binary:Version}),
         libqt63dquickscene3d6 (= ${binary:Version}),
         libqt63drender6 (= ${binary:Version}),
         qml6-module-qt3d-animation (= ${binary:Version}),
         qml6-module-qt3d-core (= ${binary:Version}),
         qml6-module-qt3d-extras (= ${binary:Version}),
         qml6-module-qt3d-input (= ${binary:Version}),
         qml6-module-qt3d-logic (= ${binary:Version}),
         qml6-module-qt3d-render (= ${binary:Version}),
         qml6-module-qtquick-scene2d (= ${binary:Version}),
         qml6-module-qtquick-scene3d (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 3D - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .

## qt6-3d 6.9.3

=== debian/changelog ===
qt6-3d (6.9.3-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 01:09:01 +0000

qt6-3d (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

=== debian/control ===
Source: qt6-3d
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libassimp-dev (>= 5.1.1~),
               libgl-dev,
               libgl1-mesa-dri <!nocheck>,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               qt6-multimedia-dev (>= 6.9.3~),
               qt6-quick3d-dev (>= 6.9.3~),
               qt6-shadertools-dev (>= 6.9.3~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-3d.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-3d
Maintainer: Neon CI <neon@kde.org>

Package: qt6-3d
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt63danimation6,
          libqt63danimation6t64,
          libqt63dcore6,
          libqt63dcore6t64,
          libqt63dextras6,
          libqt63dextras6,
          libqt63dinput6,
          libqt63dlogic6,
          libqt63dquick6,
          libqt63dquickanimation6,
          libqt63dquickextras6,
          libqt63dquickinput6,
          libqt63dquickrender6,
          libqt63dquickscene2d6,
          libqt63drender6,
          qml6-module-qt3d-animation,
          qml6-module-qt3d-core,
          qml6-module-qt3d-extras,
          qml6-module-qt3d-input,
          qml6-module-qt3d-logic,
          qml6-module-qt3d-render,
          qml6-module-qt3d-scene2d,
          qt6-3d-assimpsceneimport-plugin,
          qt6-3d-defaultgeometryloader-plugin,
          qt6-3d-gltfsceneio-plugin,
          qt6-3d-scene2d-plugin
Description: Qt 6 3D Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Core library.

Package: qt6-3d-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-3d (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-3d-doc-dev, qt6-3d-examples
Description: Qt 6 3D - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt 3D library.

Package: qt6-3d-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-3d-dev, qt6-base-doc, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-3d-doc-html
Description: Qt 6 3D - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files used to help build Qt 6
 applications using Qt 3D library.

Package: libqt63danimation6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63danimation6t64
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dcore6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dcore6t64
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dextras6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dinput6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dlogic6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquick6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquickrender6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquickanimation6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquickextras6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquickinput6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquickscene2d6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63drender6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-animation
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-core
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-extras
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-input
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-logic
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-render
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-scene2d
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-scene3d
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-assimpsceneimport-plugin
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-defaultgeometryloader-plugin
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-doc-dev
Architecture: all
Depends: qt6-3d-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-doc-html
Architecture: all
Depends: qt6-3d-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-examples
Architecture: all
Depends: qt6-3d-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-gltfsceneio-plugin
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-scene2d-plugin
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
